Bug 166688 - [MAINTAINER] audio/liquidsoap: fix typo in gstremaer option
Summary: [MAINTAINER] audio/liquidsoap: fix typo in gstremaer option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-06 07:50 UTC by Mykola Dzham
Modified: 2012-04-08 09:08 UTC (History)
0 users

See Also:


Attachments
liquidsoap-1.0.0_1.patch (1.15 KB, patch)
2012-04-06 07:50 UTC, Mykola Dzham
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Dzham 2012-04-06 07:50:11 UTC
Fix typo in GSTREAMER option. Add required dependency.

Generated with FreeBSD Port Tools 0.99_4 (mode: change, diff: CVS)
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-04-06 09:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 Mykola Dzham 2012-04-07 09:02:06 UTC
Fixed patch:

Index: Makefile
===================================================================
RCS file: /zdata/arch/csup/ports/audio/liquidsoap/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- Makefile	29 Mar 2012 20:11:48 -0000	1.15
+++ Makefile	7 Apr 2012 07:48:00 -0000
@@ -37,7 +37,7 @@
 		FESTIVAL	"speech synthesis (say)"	On	\
 		FLAC		"flac format decoding and encoding" Off	\
 		GAVL		"converts from and to many formats"	Off \
-		GSREAMER	"used to provide V4l inputs"	Off \
+		GSTREAMER	"used to provide V4l inputs"	Off \
 		JACK		"audio connection kit, designed for low latency"	On \
 		LADSPA		"audio plugins providing sound effects"	Off \
 		LO		"OSC protocol to have external controls"	Off	\
@@ -115,6 +115,8 @@
 BUILD_DEPENDS_dssi=	${LOCALBASE}/include/dssi.h:${PORTSDIR}/audio/dssi
 LIB_DEPENDS_faad=	faad.2:${PORTSDIR}/audio/faad
 LIB_DEPENDS_gavl=	gavl.1:${PORTSDIR}/multimedia/gavl
+BUILD_DEPENDS_gstreamer=	${LOCALBASE}/lib/ocaml/libcamlidl.a:${PORTSDIR}/lang/ocaml-camlidl
+LIB_DEPENDS_gstreamer=	gstreamer-0.10.0:${PORTSDIR}/multimedia/gstreamer gstapp-0.10.0:${PORTSDIR}/multimedia/gstreamer-plugins
 BUILD_DEPENDS_ladspa=	${LOCALBASE}/include/ladspa.h:${PORTSDIR}/audio/ladspa
 LIB_DEPENDS_lame=	mp3lame.0:${PORTSDIR}/audio/lame
 LIB_DEPENDS_mad=	mad.2:${PORTSDIR}/audio/libmad

Build logs:
http://levsha.me/tb/logs/9-STABLE.amd64/liquidsoap-1.0.0_1.log      
http://levsha.me/tb/logs/9-STABLE.i386/liquidsoap-1.0.0_1.log
http://levsha.me/tb/logs/8-STABLE.amd64/liquidsoap-1.0.0_1.log
http://levsha.me/tb/logs/8-STABLE.i386/liquidsoap-1.0.0_1.log
http://levsha.me/tb/logs/10-HEAD.i386/liquidsoap-1.0.0_1.log
http://levsha.me/tb/logs/7-STABLE.amd64/liquidsoap-1.0.0_1.log
http://levsha.me/tb/logs/10-HEAD.amd64/liquidsoap-1.0.0_1.log

-- 
LEFT-(UANIC|RIPE)
JID: levsha@jabber.net.ua
PGP fingerprint: 1BCD 7C80 2E04 7282 C944  B0E0 7E67 619E 4E72 9280
Comment 3 dfilter service freebsd_committer 2012-04-08 08:55:52 UTC
rm          2012-04-08 07:55:38 UTC

  FreeBSD ports repository

  Modified files:
    audio/liquidsoap     Makefile 
  Log:
  - fix build when GSTREAMER option is enabled
  - no PORTREVISION bump, because it's not default
  
  PR:             166688
  Submitted by:   Mykola Dzham <i at levsha dot me> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.16      +4 -1      ports/audio/liquidsoap/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-04-08 09:08:00 UTC
State Changed
From-To: open->closed

Committed, thank you!